//
// Copyright (C) 1996 by
// Digital Equipment Corporation, Maynard, Massachusetts.
// All rights reserved.
//
// This software is furnished under a license and may be used and copied
// only  in  accordance  of  the  terms  of  such  license  and with the
// inclusion of the above copyright notice. This software or  any  other
// copies thereof may not be provided or otherwise made available to any
// other person.  No title to and  ownership of the  software is  hereby
// transferred.
//
// The information in this software is  subject to change without notice
// and  should  not  be  construed  as a commitment by Digital Equipment
// Corporation.
//
// Digital assumes no responsibility for the use  or  reliability of its
// software on equipment which is not supplied by Digital.
//
//
// Abstract:    
//
// Author:      
//
// Revision:    
//
// Modifications:
//
//     $History: $
//
#include "platform.h"
#include "post.h"

int comTests(struct testResults *pResults)
{
  int result = -1 ;
  char c[2] ;

  PutString("COM Port Tests [v1.0]\n\r") ;
  
  c[1] = 0 ;
  PutString("Type some characters followed by C/R\n\r") ;
  while (1) {
    c[0] = GetHex() ;
    PutString(c) ;
    if (c[0] == '\n') break ;
    if (c[0] == '\r') break ;
  }
  PutString("\n\rDid you see the characters echoed correctly? [yY/nN]") ;
  c[0] = GetHex() ;
  if ((c[0] == 'y') || (c[0] == 'Y')) 
    result = 0 ;
  PutString(c) ;
  PutString("\n\r") ;

  if (result != 0) {
    PutString("Test failed\n\r") ;
  }

  PutString("Done\n\r") ;
  return result ;
}

