;/*****************************************************************************
; 
;       Copyright  1997 Digital Equipment Corporation,
;                       Maynard, Massachusetts.
; 
;                        All Rights Reserved
; 
;Permission to use, copy, modify, and distribute this software and its 
;documentation for any purpose and without fee is hereby granted, provided  
;that the copyright notice and this permission notice appear in all copies  
;of software and supporting documentation, and that the name of Digital not  
;be used in advertising or publicity pertaining to distribution of the software 
;without specific, written prior permission. Digital grants this permission 
;provided that you prominently mark, as not part of the original, any 
;modifications made to this software or documentation.
; 
;Digital Equipment Corporation disclaims all warranties and/or guarantees  
;with regard to this software, including all implied warranties of fitness for 
;a particular purpose and merchantability, and makes no representations 
;regarding the use of, or the results of the use of, the software and 
;documentation in terms of correctness, accuracy, reliability, currentness or
;otherwise; and you rely on the software, documentation and results solely at 
;your own risk. 
;
;******************************************************************************
; 
;  PowerOn Selftest code for the SA-110 based EBSA285 evaluation board.
; 
;	$Id: post_c.s,v 1.2 1997/05/29 12:22:11 rusling Exp $
;
;******************************************************************************/
;
		KEEP
; --------------------------------------------------------------------------------
; support routines (all in io.s) 
		IMPORT	SetLEDs
		IMPORT	Pause
	
; --------------------------------------------------------------------------------
; C code
		IMPORT	main

; --------------------------------------------------------------------------------
; include files
		INCLUDE platform.s

; --------------------------------------------------------------------------------
; exports
		EXPORT	__main

; --------------------------------------------------------------------------------
		AREA	CSelfTests,CODE,READONLY
;	 Start of executable code
		ENTRY
		LTORG
__main
__CSelfTests
		STMFD	sp!, {lr}	; save working registers
		BL	main		; Call main, falling through to
		LDMFD	sp!, {pc}	; restore registers & return (preserving r0)
		END


